### Hierarchy

- Memory

## Index

### Methods

- getByte
- getDouble
- getFloat
- getI32
- getUI16
- select
- setByte
- setDouble
- setFloat
- setI16
- setI32

## Methods

### Static getByte

- getByte(addr: number): number

- - Defined in lib/openfl/Memory.d.ts:10

  #### Parameters

  - ##### addr: number

  #### Returns number

### Static getDouble

- getDouble(addr: number): number

- - Defined in lib/openfl/Memory.d.ts:11

  #### Parameters

  - ##### addr: number

  #### Returns number

### Static getFloat

- getFloat(addr: number): number

- - Defined in lib/openfl/Memory.d.ts:12

  #### Parameters

  - ##### addr: number

  #### Returns number

### Static getI32

- getI32(addr: number): number

- - Defined in lib/openfl/Memory.d.ts:13

  #### Parameters

  - ##### addr: number

  #### Returns number

### Static getUI16

- getUI16(addr: number): number

- - Defined in lib/openfl/Memory.d.ts:14

  #### Parameters

  - ##### addr: number

  #### Returns number

### Static select

- select(inBytes: ByteArray): void

- - Defined in lib/openfl/Memory.d.ts:15

  #### Parameters

  - ##### inBytes: ByteArray

  #### Returns void

### Static setByte

- setByte(addr: number, v: number): void

- - Defined in lib/openfl/Memory.d.ts:16

  #### Parameters

  - ##### addr: number

  - ##### v: number

  #### Returns void

### Static setDouble

- setDouble(addr: number, v: number): void

- - Defined in lib/openfl/Memory.d.ts:17

  #### Parameters

  - ##### addr: number

  - ##### v: number

  #### Returns void

### Static setFloat

- setFloat(addr: number, v: number): void

- - Defined in lib/openfl/Memory.d.ts:18

  #### Parameters

  - ##### addr: number

  - ##### v: number

  #### Returns void

### Static setI16

- setI16(addr: number, v: number): void

- - Defined in lib/openfl/Memory.d.ts:19

  #### Parameters

  - ##### addr: number

  - ##### v: number

  #### Returns void

### Static setI32

- setI32(addr: number, v: number): void

- - Defined in lib/openfl/Memory.d.ts:20

  #### Parameters

  - ##### addr: number

  - ##### v: number

  #### Returns void

Generated using TypeDoc